Workflows
Disable a workflow
Pause (enabled=false) or resume (enabled=true) the schedule, event and webhook triggers of a published workflow. Manual runs stay possible.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
workflow_id*string
Resource identifier: workflow_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Idempotency-Key*string
A unique key for this intended write. Reuse it only for an identical retry.
Length
1 <= length <= 200Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/workflows/123e4567-e89b-42d3-a456-426614174000/disable" \ -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"{ "id": "123e4567-e89b-42d3-a456-426614174000", "space_id": "123e4567-e89b-42d3-a456-426614174000", "name": "Customer documents", "summary": "Extracts totals and due dates from supplier invoices.", "status": "ACTIVE", "enabled": false, "has_draft": false, "draft_revision": 0, "current_version": { "id": "123e4567-e89b-42d3-a456-426614174000", "version": 0, "change_note": "Initial version", "created_by": { "id": "123e4567-e89b-42d3-a456-426614174000", "email": "ada@example.com", "name": "Customer documents", "image_url": "example" }, "created_at": "2026-09-04T12:00:00Z", "definition": {} }, "node_count": 0, "trigger_kinds": [], "last_run": { "id": "123e4567-e89b-42d3-a456-426614174000", "status": "ACTIVE", "created_at": "2026-09-04T12:00:00Z" }, "created_at": "2026-09-04T12:00:00Z", "updated_at": "2026-09-04T12:00:00Z", "draft_differs": false, "access": { "space_role": "example", "share_role": "example", "access_mode": "example", "is_creator": false, "can_view": false, "can_edit": false, "can_run": false, "can_publish": false, "can_share": false, "can_archive": false, "can_approve": false }, "access_mode": "example", "created_by": { "id": "123e4567-e89b-42d3-a456-426614174000", "email": "ada@example.com", "name": "Customer documents", "image_url": "example" }, "share_count": 0, "draft": {}, "draft_updated_at": "2026-09-04T12:00:00Z", "webhooks": [ { "node_id": "trigger", "url": "https://api.adlass.io/v1/workflows/hooks/example", "auth_mode": "signature", "methods": [], "active": false, "provider_key": "klaviyo", "integration_mode": "example", "events": [], "has_signing_secret": false, "subscription_state": "example", "subscription_count": 0, "last_error_code": "example", "subscription_synced_at": "2026-09-04T12:00:00Z" } ], "triggers": [ { "node_id": "trigger", "kind": "schedule", "active": false, "next_fire_at": "2026-09-04T12:00:00Z", "last_fired_at": "2026-09-04T12:00:00Z", "last_error_code": "example", "last_error_message": "example" } ], "shares": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "user": { "id": "123e4567-e89b-42d3-a456-426614174000", "email": "ada@example.com", "name": "Customer documents", "image_url": "example" }, "role": "ADMIN", "created_at": "2026-09-04T12:00:00Z" } ], "published_by": { "id": "123e4567-e89b-42d3-a456-426614174000", "email": "ada@example.com", "name": "Customer documents", "image_url": "example" }, "pins": [ { "node_id": "trigger", "item_counts": {}, "updated_at": "2026-09-04T12:00:00Z" } ]}